For the complete documentation index, see llms.txt. This page is also available as Markdown.

NameFieldName

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getNameFieldName

post

Retrieve NameFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
NameFieldNameFieldintegerRequired
Responses
200

Successful operation.

application/json
post/getNameFieldName
POST /nexum/627/2022.01/parameter/getNameFieldName HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 172

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "NameFieldNameField": "example-value",
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "NameFieldName": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getNameFieldName"
}

getNameFieldNameSelectFields

post

Retrieve NameFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
NameFieldNameFieldintegerOptional
Responses
200

Successful operation.

application/json
post/getNameFieldNameSelectFields
POST /nexum/627/2022.01/parameter/getNameFieldNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 236

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "NameFieldNameField": 1,
  "SelectableFields": {
    "NameFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  }
}
200

Successful operation.

{
  "NameFieldName": {
    "Field": 1,
    "FieldName": "User Char   01"
  },
  "MessageId": "getNameFieldNameSelectFields"
}

getNameFieldNamePagedList

post

Retrieve NameFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getNameFieldNamePagedList
POST /nexum/627/2022.01/parameter/getNameFieldNamePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0,
    "Token": "example-token"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "NameFieldName": [],
  "Token": null,
  "MessageId": "getNameFieldNamePagedList"
}

getNameFieldNameListSelectFields

post

Retrieve NameFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getNameFieldNameListSelectFields
POST /nexum/627/2022.01/parameter/getNameFieldNameListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 196

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllNameFieldNameFields": true
  }
}
200

Successful operation.

{
  "NameFieldNameList": [],
  "MessageId": "getNameFieldNameListSelectFields"
}

searchNameFieldNameSelectFields

post

Search NameFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/searchNameFieldNameSelectFields
POST /nexum/627/2022.01/parameter/searchNameFieldNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 234

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllNameFieldNameFields": true
  },
  "SearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "NameFieldNameList": [],
  "MessageId": "searchNameFieldNameSelectFields"
}

getNameFieldNamePagedListSelectFields

post

Retrieve NameFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getNameFieldNamePagedListSelectFields
POST /nexum/627/2022.01/parameter/getNameFieldNamePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 292

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "NameFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  }
}
200

Successful operation.

{
  "NameFieldName": [
    {
      "Field": 1,
      "FieldName": "User Char   01"
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "getNameFieldNamePagedListSelectFields"
}

searchNameFieldNamePagedSelectFields

post

Search NameFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchNameFieldNamePagedSelectFields
POST /nexum/627/2022.01/parameter/searchNameFieldNamePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 303

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "",
  "SelectableFields": {
    "NameFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  }
}
200

Successful operation.

{
  "NameFieldName": [
    {
      "Field": 1,
      "FieldName": "User Char   01"
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "searchNameFieldNamePagedSelectFields"
}

updateNameFieldNameByID

post

Update NameFieldName parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
NameFieldNameFieldintegerOptional
Responses
200

Successful operation.

application/json
post/updateNameFieldNameByID
POST /nexum/627/2022.01/parameter/updateNameFieldNameByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 244

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "NameFieldNameField": "example-value",
  "NameFieldNameUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateNameFieldNameByID"
}

Last updated

Was this helpful?